#include <iostream>

int main()
{
    int N, M, i, p1, p2;
    long long int sreca1 = 0;
    scanf_s("%d", &N);
    scanf_s("%d", &M);
    int a[100001];
    int brojPoznanika[100001];
    for (i = 1; i <= N; i++)
    {
        scanf_s("%d", &a[i]);
        brojPoznanika[i] = 0;
    }
    for (i = 1; i <= M; i++)
    {
        scanf_s("%d", &p1);
        scanf_s("%d", &p2);
        if (a[p1] + a[p2] > -(a[p1] + a[p2]))
        {
            brojPoznanika[p1]++;
            brojPoznanika[p2]++;
        }
        else
        {
            brojPoznanika[p1]--;
            brojPoznanika[p2]--;
        }
    }
    for (i = 1; i <= N; i++)
    {
        sreca1 += a[i] * brojPoznanika[i];
    }
    printf("%lld", sreca1);
}